Bug 431358 - tor 0.1.2.19 available (security and major bugfixes)
tor 0.1.2.19 available (security and major bugfixes)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tor (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-03 10:14 EST by Marcin Zajaczkowski
Modified: 2008-12-08 08:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 08:05:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Zajaczkowski 2008-02-03 10:14:42 EST
Description of problem:
Latest tor version available in fedora repository (0.1.2.17) contains many bugs
(including security bugs) which were fixed in 0.1.2.18 and 0.1.2.19.
See: http://www.torproject.org/svn/trunk/ReleaseNotes

It would be nice to have tor updated in Fedora.

Version-Release number of selected component (if applicable):
tor-0.1.2.17-1.fc8
Comment 1 Ronald 2008-02-12 01:27:44 EST
There is an updated version in the development repo:

tor-0.1.2.18-4.fc9

If you grab the source and rebuild it, then you would have a new version.
However, to run a server you need at least 0.1.2.19 :(

+1 for update :)
Comment 2 Marcin Zajaczkowski 2008-02-12 12:25:32 EST
I modified SPEC from Rawhide to build and package 0.1.2.19 and it works somehow,
but there are open bugs in bugzilla, so to make "official" package it's not only
to bump a version :(.
Comment 3 Ronald 2008-02-12 13:06:12 EST
You mean bug: 429402,425998 and 375361? I didn't knew that it was policy to ship
only packages AFTER the bugzilla has been cleaned. Perhaps we *could* help
debugging?
Comment 4 Marcin Zajaczkowski 2008-02-12 14:27:36 EST
Those bug and 247078 (which should also solve 425998).
In my opinion it's in a good manner to close active tickets (if possible),
before releasing a new version of package in production branches. Of course
security issues are usually more important.
I won't be able to help you with "debugging" this week, but if you have time you
can provide patch for example for init script.
Comment 5 Ronald 2008-02-12 14:46:14 EST
I might be able to help, but I have nearly 0 knowledge of init (nor do I have
time). But I will try ;) Thanks
Comment 6 Fedora Update System 2008-02-13 07:01:17 EST
tor-0.1.2.19-1.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-02-13 07:02:25 EST
tor-0.1.2.19-1.fc8 has been submitted as an update for Fedora 8
Comment 8 Ronald 2008-02-13 07:08:18 EST
GREAAAT :D
Comment 9 Fedora Update System 2008-02-15 21:10:19 EST
tor-0.1.2.19-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1689
Comment 10 Marcin Zajaczkowski 2008-05-05 15:41:48 EDT
Recently I had been intensively using that version of tor for 2 weeks and it was
pretty stable for me. I think that after 2,5 months of being in testing phrase
(in Fedora) it could be push stable (for F-7 and F-8).
Comment 11 Fedora Update System 2008-07-20 09:37:39 EDT
tor-0.2.0.30-1.fc8 has been submitted as an update for Fedora 8
Comment 12 Bug Zapper 2008-11-26 04:40:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora Update System 2008-12-07 06:34:34 EST
tor-0.2.0.32-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tor-0.2.0.32-1.fc8
Comment 14 Fedora Update System 2008-12-08 08:05:22 EST
tor-0.2.0.32-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.